edu.isi.pegasus.planner.code.generator

## Class HashedFile

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.CondorGenerator
    - - edu.isi.pegasus.planner.code.generator.HashedFile

All Implemented Interfaces:
  CodeGenerator

    public class HashedFile
    extends CondorGenerator

A Condor Submit Writer, that understands the notion of hashed file directories.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.CondorGenerator

`CONDOR_DAGMAN_LOGICAL_NAME, CONDOR_DAGMAN_NAMESPACE, DAGMAN_PROPERTIES_PREFIX, DEFAULT_CHMOD_PRIORITY_KEY, DEFAULT_CLEANUP_PRIORITY_KEY, DEFAULT_CREATE_DIR_PRIORITY_KEY, DEFAULT_INTER_SITE_PRIORITY_KEY, DEFAULT_PERIODIC_RELEASE_VALUE, DEFAULT_PERIODIC_REMOVE_VALUE, DEFAULT_REPLICA_REG_PRIORITY_KEY, DEFAULT_STAGE_IN_PRIORITY_KEY, DEFAULT_STAGE_OUT_PRIORITY_KEY, DEFAULT_SUBDAG_CATEGORY_KEY, mConcreteWorkflow, mDagWriter, mDone, mGridStartFactory, mInitializeGridStart, mPoolClass, mSeparator, mStyleFactory, mTCHandle, mTempLogFile`

### Fields inherited from class edu.isi.pegasus.planner.code.generator.Abstract

`mBag, mLogger, mPOptions, mProps, mSubmitFileDir`

### Fields inherited from interface edu.isi.pegasus.planner.code.CodeGenerator

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`HashedFile()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.PrintWriter` `getWriter(Job job)` Returns an open stream to the file that is used for writing out the job information for the job.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.CondorGenerator

`applyStyle, concreteDagEmpty, constructDAGJob, generateCode, generateCode, generateLogFileSymlink, getAdditionalBraindumpEntries, getBasename, getCategoryDAGManKnobs, getCondorLogInSubmitDirectory, getCondorLogInSubmitDirectory, getCondorLogInTmpDirectory, getDAGMANOutFilename, getJobPriority, handleCondorVarForJob, handleEnvVarForJob, handleGlobusRSLForJob, initialize, initializeDagFileWriter, isInteger, populatePeriodicReleaseAndRemoveInJob, printDagString, reset, startMonitoring, writeDagFileTail, writeDOTFile, writeJobMapFile`

### Methods inherited from class edu.isi.pegasus.planner.code.generator.Abstract

`getDAGFilename, getDAGFilename, getFileBaseName, writeOutBraindump, writeOutDAXReplicaStore, writeOutNotifications, writeOutStampedeEvents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HashedFile

    public HashedFile()

The default constructor.

### Method Detail

#### getWriter

    public java.io.PrintWriter getWriter(Job job)
                                  throws java.io.IOException

Returns an open stream to the file that is used for writing out the job information for the job.

Overrides:
  `getWriter` in class `Abstract`
Parameters:
  `job` - the job whose job information needs to be written.
Returns:
  the writer to the open file.
Throws:
  `java.io.IOException` - if unable to open a write handle to the file.